Issue 117549 - finalize css.awt.tab API
Summary: finalize css.awt.tab API
Status: CLOSED FIXED
Alias: None
Product: App Dev
Classification: Unclassified
Component: api (show other issues)
Version: 3.3.0 or older (OOo)
Hardware: PC Windows NT
: P3 Normal
Target Milestone: ---
Assignee: Frank Schönheit
QA Contact: issues@api
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-25 12:18 UTC by Frank Schönheit
Modified: 2017-05-20 09:32 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Frank Schönheit 2011-03-25 12:18:18 UTC
There is the desire to have the API in module css.awt.tab in state "published"
upon the release of OOo 3.4.

We should do the following changes to the API before finally publishing it (since publishing means we cannot do any changes later on):
- XTabPageContainerModel
  - it might be desirable to have a factory method for XTabPageModel
    instances. This allows for non-default container implementations to
    provide non-default page implementations. Also, it would be
    consistent with some other API, e.g. the XGridColumnModel, and the
    UnoControlDialogModel, which also provide a factory for the
   elements they can contain.
- XTabPageContainer
  - inconsistency in page index type: "short" vs. "long"
    => getTabPageCount should return a "short", alternatively, all
       parameters denoting an index should be a "long"
  - add/removeTabPageListener( XTabPageContainerListener )
    is not introspection-compatible: the generic introspection mechanism
    for listeners (css.beans.MethodConcept.LISTENER) expects the naming
    scheme "add/removeFooBarListener( XFooBar )", so the methods should
    be called add/removeTabPageContainerListener
- XTabPageModel
  - Tooltip should be ToolTip for consistency with css.grid.* and
    XAccessibleExtendedComponent
Comment 1 Frank Schönheit 2011-03-28 09:10:13 UTC
fixed in CWS gridfixes
Comment 2 Oliver-Rainer Wittmann 2012-06-13 12:22:12 UTC
getting rid of value "enhancement" for field "severity".
For enhancement the field "issue type" shall be used.